Replace the casting of entities of a project in one request. The body is a map of entity identifiers to casting lists. Each list has the format of the route that replaces the casting of one entity. You must be a manager of the project. Each entry must have asset_id and nb_occurences. An entry without nb_occurences is skipped and its asset is removed from the casting.
PUT
/data/projects/{project_id}/entities/casting
curl \
--request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/entities/casting' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"a24a6ea4-ce75-4665-a070-57453082c250": [
{
"asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
"nb_occurences": 2
}
]
}'
Request example
{
"a24a6ea4-ce75-4665-a070-57453082c250": [
{
"asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
"nb_occurences": 2
}
]
}
Response examples (200)
{}